Skip to main content
GET
/
api
/
v1
/
oauth-connections
/
{id}
Get one OAuth connection (masked — no ciphertext, no decryption).
curl --request GET \
  --url https://api.backside.app/api/v1/oauth-connections/{id} \
  --header 'Authorization: Bearer <token>'
{
  "account_handle": "<string>",
  "account_id": "<string>",
  "consecutive_refresh_failures": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": "<unknown>",
  "provider": "<string>",
  "scopes": [
    "<string>"
  ],
  "status": "<string>",
  "access_token_expires_at": "2023-11-07T05:31:56Z",
  "label": "<string>",
  "last_refresh_at": "2023-11-07T05:31:56Z",
  "last_verified_at": "2023-11-07T05:31:56Z",
  "status_reason": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

OAuth connection id

Response

Connection summary

account_handle
string
required
account_id
string
required
consecutive_refresh_failures
integer<int32>
required
created_at
string<date-time>
required
id
string<uuid>
required
metadata
any
required
provider
string
required
scopes
string[]
required
status
string
required
access_token_expires_at
string<date-time> | null
label
string | null
last_refresh_at
string<date-time> | null
last_verified_at
string<date-time> | null
status_reason
string | null